Name: gnome-peercast
Version: 0.5.4
Release: alt1

Summary: Graphical user interface for PeerCast

License: GPL
Group: Video

Url: http://takuo.jp/gnome-peercast/
Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://ftp.debian.org/debian/pool/main/g/gnome-peercast/%{name}_%version.orig.tar.bz2
Patch: gnome-peercast-0.5.4.debian.patch

Requires(post): GConf2
BuildPreReq: GConf2

# Automatically added by buildreq on Sun Mar 09 2008
BuildRequires: gcc-c++ glibc-devel libgnomeui-devel perl-XML-Parser

%description
Graphical user interface for PeerCast.
Core source is based on peercast v0.1217 and applied some extention patches.
So, GNOME PeerCast includes full features of PeerCast v0.1217.

%prep
%setup -q
%patch -p1

%build
%configure --disable-static
%make_build

%install
%makeinstall_std
%find_lang %name
rm -f %buildroot%_libdir/*.a

%post
%gconf2_install %name
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus

%files -f %name.lang
%doc README ChangeLog AUTHORS
%_sysconfdir/gconf/schemas/*.schemas
%_bindir/*
%_desktopdir/*
%_datadir/%name/
%_pixmapsdir/*

%changelog
* Sun Mar 09 2008 Vitaly Lipatov <lav@altlinux.ru> 0.5.4-alt1
- initial build for ALT Linux Sisyphus

